//
//  ViewController.m
//  BFC
//
//  Created by yashi on 2021/4/22.
//

#import "ViewController.h"
#import <WebKit/WebKit.h>
#import <Masonry/Masonry.h>
#import <MBProgressHUD.h>

static WKProcessPool *global_pool;

@interface ViewController ()<WKNavigationDelegate>

@property (nonatomic, strong) WKWebView *webview;
@property (nonatomic, strong) MBProgressHUD *hud;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = UIColor.whiteColor;
    
    global_pool = [WKProcessPool new];
    WKWebViewConfiguration *configuration = [[WKWebViewConfiguration alloc] init];
    configuration.processPool = global_pool;
    // 视屏播放不全屏设置
    configuration.allowsInlineMediaPlayback = YES;
    _webview = [[WKWebView alloc] initWithFrame:CGRectZero configuration:configuration];
    _webview.navigationDelegate = self;
    _webview.opaque = NO;
    _webview.backgroundColor = [UIColor whiteColor];
    _webview.scrollView.bounces = YES;
    _webview.scrollView.decelerationRate = UIScrollViewDecelerationRateNormal;
    if (@available(iOS 11.0, *)) {
        _webview.scrollView.contentInsetAdjustmentBehavior = UIScrollViewContentInsetAdjustmentNever;
    }
    _webview.allowsBackForwardNavigationGestures = YES;
    _webview.translatesAutoresizingMaskIntoConstraints = NO;
    [self.view addSubview:_webview];
    [_webview mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.right.bottom.equalTo(self.view);
        make.top.equalTo(self.view).offset([[UIApplication sharedApplication] statusBarFrame].size.height);
    }];
    
//    _hud = [MBProgressHUD HUDForView:self.view];
//    if (!_hud) {
//        _hud = [MBProgressHUD showHUDAddedTo:self.view animated:YES];
//    }
//    _hud.removeFromSuperViewOnHide = YES;
    
    NSMutableURLRequest * mutableURLRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:@"https://www.bit-file.org?app=1"] cachePolicy:NSURLRequestReturnCacheDataElseLoad timeoutInterval:60];
    [_webview loadRequest:mutableURLRequest];
    
}

- (UIStatusBarStyle)preferredStatusBarStyle {
    if (@available(iOS 13.0, *)) {
        return UIStatusBarStyleDarkContent;
    } else {
        return UIStatusBarStyleDefault;
    }
}

#pragma mark - WKNavigationDelegate
- (void)webView:(WKWebView *)webView didFinishNavigation:(null_unspecified WKNavigation *)navigation {
    
}

@end
